Summary: Strobe - Super optimized TCP port surveyor
Name: strobe
Version: 1.04
Release: 2
Group: Applications/Networking
Copyright: GPL
Vendor: Julian Assange <proff@suburbia.net>
Source: ftp://ftp.suburbia/pub/strobe-1.04.tar.gz
Patch: strobe-1.04-fix.patch
Prefix: /usr
Buildroot: /tmp/strobe-%{PACKAGAE_VERSION}-root

%description
strobe is a network/security tool that locates and describes all listening
tcp ports on a (remote) host or on many hosts in a bandwidth utilisation
maximising, and process resource minimizing manner. strobe approximates
a parallel finite state machine internally. In non-linear multi-host mode it
attempts to apportion bandwidth and sockets amoung the hosts very efficiently.
This can reap appreciable gains in speed for multiple distinct hosts/routes.

On a machine with a reasonable number of sockets, strobe is fast enough to port
scan entire Internet sub domains. It is even possible to survey an entire small
country in a reasonable time from a fast machine on the network backbone,
provided the machine in question uses dynamic socket allocation  or has had 
its static socket allocation increased very appreciably (check your kernel
options). In this very limited application strobe is said to be faster
than ISS2.1 (a high quality commercial security scanner by cklaus@iss.net
and friends) or PingWare (also comercial).

%changelog
* Thu Feb 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- BuildRoot'ed
- Added %clean and %attr

%prep
%setup -n strobe
%patch -p1

%build
rm -rf $RPM_BUILD_ROOT
make "FLAGS=-O4 -funroll-loops -fomit-frame-pointer"

%clean
rm -rf $RPM_BUILD_ROOT

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/lib
install -m755 -s strobe $RPM_BUILD_ROOT/usr/bin/
install -m644 strobe.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m644 strobe.services $RPM_BUILD_ROOT/usr/lib/strobe.services

%files
%attr(-,root,root) %doc COPYRIGHT CREDITS VERSION POST HISTORY
%attr(755,root,root) /usr/bin/strobe
%attr(644,root,root) /usr/lib/strobe.services
%attr(644,root,root) /usr/man/man1/strobe.1
